%bcond_without check

%global debug_package	%{nil}

%global goipath			github.com/hashicorp/go-version
Version:				1.6.0

%gometa

%global golicenses      LICENSE
%global godocs          README.md

Name:       %{goname}
Release:    %mkrel 2

Summary:    A Go library for parsing and verifying versions and version constraints
License:    MPL-2.0
Group:      Development/Other
Url:        %{gourl}
Source0:    %{gosource}

BuildArch:	noarch

%description
Go-version is a library for parsing versions and version constraints, and
verifying versions against a set of constraints. go-version can sort a
collection of versions properly, handles prerelease/beta versions, can
increment versions, etc.

Versions used with go-version must follow SemVer.

%gopkg

%prep
%goprep

%build
%gobuild

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles


%changelog
* Fri Dec 01 2023 rapsys <rapsys> 1.6.0-2.mga10
+ Revision: 2012338
- Fix naming
- Fix naming

* Fri Dec 01 2023 rapsys <rapsys> 1.6.0-1.mga10
+ Revision: 2012097
- Import golang github hashicorp go-version package version 1.6.0
- Created package structure for golang-github-hashicorp-go-version.

